Name: ant
Version: 1.7.1
Release: alt3

%def_enable check
%def_disable debug
%def_without bootstrap
%def_with stylebook
%def_without antlibhack
%define with_manifest_only 0

Summary: Platform-independent build tool for Java
Group: Development/Java
License: Apache Software License 2.0
URL: http://ant.apache.org/
Packager: Java Maintainers Team <java at packages.altlinux.org>

%define ant_home	%_datadir/ant
%define pkgdocdir	%_docdir/%name-%version

Requires: java-devel /proc
Requires: jpackage-utils java-common
Requires: jaxp_parser_impl xml-commons-apis

BuildArch: noarch

Source: http://www.apache.org/dist/ant/source/apache-%name-%version-src.tar
Source102: ant.sh.in
Source103: ant.conf

Source1:        http://repo1.maven.org/maven2/org/apache/ant/ant/1.7.1/ant-1.7.1.pom
Source3:        http://repo1.maven.org/maven2/org/apache/ant/ant-launcher/1.7.1/ant-launcher-1.7.1.pom
Source4:        http://repo1.maven.org/maven2/org/apache/ant/ant-netrexx/1.7.1/ant-netrexx-1.7.1.pom
Source5:        http://repo1.maven.org/maven2/org/apache/ant/ant-starteam/1.7.1/ant-starteam-1.7.1.pom
Source6:        http://repo1.maven.org/maven2/org/apache/ant/ant-stylebook/1.7.1/ant-stylebook-1.7.1.pom
Source7:        http://repo1.maven.org/maven2/org/apache/ant/ant-weblogic/1.7.1/ant-weblogic-1.7.1.pom
Source8:        http://repo1.maven.org/maven2/org/apache/ant/ant-antlr/1.7.1/ant-antlr-1.7.1.pom
Source9:        http://repo1.maven.org/maven2/org/apache/ant/ant-apache-bsf/1.7.1/ant-apache-bsf-1.7.1.pom
Source10:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-resolver/1.7.1/ant-apache-resolver-1.7.1.pom
Source11:       http://repo1.maven.org/maven2/org/apache/ant/ant-commons-logging/1.7.1/ant-commons-logging-1.7.1.pom
Source12:       http://repo1.maven.org/maven2/org/apache/ant/ant-commons-net/1.7.1/ant-commons-net-1.7.1.pom
Source13:       http://repo1.maven.org/maven2/org/apache/ant/ant-jai/1.7.1/ant-jai-1.7.1.pom
Source14:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-bcel/1.7.1/ant-apache-bcel-1.7.1.pom
Source15:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-log4j/1.7.1/ant-apache-log4j-1.7.1.pom
Source16:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-oro/1.7.1/ant-apache-oro-1.7.1.pom
Source17:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-regexp/1.7.1/ant-apache-regexp-1.7.1.pom
Source18:       http://repo1.maven.org/maven2/org/apache/ant/ant-javamail/1.7.1/ant-javamail-1.7.1.pom
Source19:       http://repo1.maven.org/maven2/org/apache/ant/ant-jdepend/1.7.1/ant-jdepend-1.7.1.pom
Source20:       http://repo1.maven.org/maven2/org/apache/ant/ant-jmf/1.7.1/ant-jmf-1.7.1.pom
Source21:       http://repo1.maven.org/maven2/org/apache/ant/ant-jsch/1.7.1/ant-jsch-1.7.1.pom
Source22:       http://repo1.maven.org/maven2/org/apache/ant/ant-junit/1.7.1/ant-junit-1.7.1.pom
Source23:       http://repo1.maven.org/maven2/org/apache/ant/ant-nodeps/1.7.1/ant-nodeps-1.7.1.pom
Source24:       http://repo1.maven.org/maven2/org/apache/ant/ant-swing/1.7.1/ant-swing-1.7.1.pom
Source25:       http://repo1.maven.org/maven2/org/apache/ant/ant-trax/1.7.1/ant-trax-1.7.1.pom
Source26:       http://repo1.maven.org/maven2/org/apache/ant/ant-parent/1.7.1/ant-parent-1.7.1.pom

# TODO: investigate ant-testutil
#SourceXX:       http://repo1.maven.org/maven2/org/apache/ant/ant-testutil/1.7.1/ant-testutil-1.7.1.pom

# Fix some places where copies of classes are included in the wrong jarfiles
Patch0:         apache-ant-jars.patch
Patch2:         apache-ant-gnu-classpath.patch
Patch3:         apache-ant-no-test-jar.patch

Patch101:       ant-1.7.1-alt-script-cleanup.patch


BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: java-devel >= 1.5.0
# for non-bootstrap
#BuildRequires: jaxp_parser_impl xml-commons-apis
# patch3 saves form junit
#BuildRequires: junit

# for scripts
#BuildRequires: python

%description
Ant is a Java based build tool.
Ant is used to build Jakarta & XML projects by the Apache Group.

%package scripts
Summary:       Additional scripts for %{name}
Group:         Development/Other
Requires:      %name = %version-%release
AutoReq: yes, nopython

%description scripts
Additional Perl and Python scripts for ant,
a platform-independent build tool for Java.

%package manual
Summary: Documentation for ant
Group: Development/Java
Requires: %name = %version-%release
AutoReqProv: no

%description manual
Documentation for ant, a platform-independent build tool for Java.

%package javadoc
Summary: Javadoc for ant
Group: Development/Java
AutoReqProv: no

%description javadoc
Javadoc-generated documentation for ant, a platform-independent
build tool for Java.

%package task-reference
Summary: Ant task reference in PDF format
Group: Books/Computer books

%description task-reference
The Ant task reference in the PDF format.

%package style-xsl
Summary: XSL stylesheets for Ant
Group: Text tools

%description style-xsl
Useful XSL stylesheets included in the Ant distribution.

%package nodeps
Summary:        Optional tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%description nodeps
Optional tasks for %{name}.

# --------------------------------
# merged from ant-optional
# --------------------------------
%if_without bootstrap
%package -n ant-optional
Summary: Optional tasks for Ant
Group: Development/Java

Requires: ant-antlr = %version-%release
Requires: ant-bcel = %version-%release
Requires: ant-commons-logging = %version-%release
Requires: ant-commons-net = %version-%release
Requires: ant-jai = %version-%release
Requires: ant-jakarta-oro = %version-%release
Requires: ant-jakarta-regexp = %version-%release
Requires: ant-javamail = %version-%release
Requires: ant-jdepend = %version-%release
Requires: ant-jmf = %version-%release
Requires: ant-jsch = %version-%release
Requires: ant-junit = %version-%release
Requires: ant-log4j = %version-%release
Requires: ant-stylebook = %version-%release
Requires: ant-swing = %version-%release
Requires: ant-trax = %version-%release
Requires: ant-xml-resolver = %version-%release
Requires: ant-bsf = %version-%release

BuildRequires: jaxp_parser_impl xml-commons-apis
BuildRequires: antlr
BuildRequires: bcel
BuildRequires: jaf
BuildRequires: jai
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-commons-net
BuildRequires: jakarta-oro
BuildRequires: regexp
BuildRequires: javamail
BuildRequires: jdepend
BuildRequires: jsch
BuildRequires: junit
BuildRequires: log4j
BuildRequires: xml-stylebook
BuildRequires: xalan-j2 >= 2.0
BuildRequires: xml-commons-resolver12
BuildRequires(pre): xerces-j2

%description -n ant-optional
Optional build tasks for ant, a platform-independent build tool for Java.

%if %{with_manifest_only}
%package -n ant-manifest-only
Summary: Manifest-only jars for ant
Group: Development/Java
Requires: ant = %version
Provides: ant-icontract = 0:%version-%release
Provides: ant-netrexx = 0:%version-%release
Provides: ant-starteam = 0:%version-%release
%if_with stylebook
# we have full-fledged ant-stylebook package
%else
Provides: ant-stylebook = 0:%version-%release
%endif
Provides: ant-vaj = 0:%version-%release
Provides: ant-weblogic = 0:%version-%release
Provides: ant-xalan1 = 0:%version-%release
Provides: ant-xslp = 0:%version-%release

%description -n ant-manifest-only
Manifest-only jars for ant.
%endif

%package -n ant-antlr
Summary: AntLR task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: antlr

%description -n ant-antlr
AntLR task support for ant, a platform-independent build tool for Java.

%package -n ant-bcel
Summary: BCEL task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: bcel
Provides: ant-apache-bcel = %version-%release

%description -n ant-bcel
BCEL task support for ant, a platform-independent build tool for Java.

%package -n ant-commons-logging
Summary: Jakarta Commons Logging task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jakarta-commons-logging

%description -n ant-commons-logging
Jakarta Commons Logging task support for ant,
a platform-independent build tool for Java.

%package -n ant-commons-net
Summary: Jakarta Commons Net task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jakarta-commons-net

%description -n ant-commons-net
Jakarta Commons Net task support for ant,
a platform-independent build tool for Java.

%package -n ant-jai
Summary: JAI task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jai

%description -n ant-jai
Java Advanced Imaging task support for ant,
a platform-independent build tool for Java.

%package -n ant-jakarta-oro
Summary: Jakarta ORO task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jakarta-oro
Provides: ant-apache-oro = %version-%release

%description -n ant-jakarta-oro
Jakarta ORO task support for ant, a platform-independent build tool for Java.

%package -n ant-jakarta-regexp
Summary: Jakarta Regexp task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jakarta-regexp
Provides: ant-apache-regexp = %version-%release

%description -n ant-jakarta-regexp
Jakarta Regexp task support for ant,
a platform-independent build tool for Java.

%package -n ant-javamail
Summary: Javamail task support for Ant
Group: Development/Java
Requires: ant = %version
Requires:       javamail >= 0:1.2-5jpp
Requires:       jaf >= 0:1.0.1-5jpp

%description -n ant-javamail
Javamail task support for ant, a platform-independent build tool for Java.

%package -n ant-jdepend
Summary: JDepend task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jdepend

%description -n ant-jdepend
JDepend task support for ant, a platform-independent build tool for Java.

%package -n ant-jmf
Summary: JMF task support for Ant
Group: Development/Java
Requires: ant = %version

%description -n ant-jmf
Java Media Framework task support for ant,
a platform-independent build tool for Java.

%package -n ant-jsch
Summary: JSch task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: jsch

%description -n ant-jsch
JSch task support for ant, a platform-independent build tool for Java.

%package -n ant-junit
Summary: JUnit task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: junit

%description -n ant-junit
JUnit task support for ant, a platform-independent build tool for Java.

%package -n ant-log4j
Summary: Log4j task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: log4j
Provides: ant-apache-log4j = %version-%release

%description -n ant-log4j
Log4j task support for ant, a platform-independent build tool for Java.

%if_with stylebook
%package -n ant-stylebook
Summary: Stylebook task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: xml-stylebook

%description -n ant-stylebook
Stylebook task support for ant, a platform-independent build tool for Java.
%endif

%package -n ant-swing
Summary: Swing support for Ant
Group: Development/Java
Requires: ant = %version

%description -n ant-swing
Swing support for ant, a platform-independent build tool for Java.

%package -n ant-trax
Summary: TRAX task support for Ant
Group: Development/Java
Requires: ant = %version

%description -n ant-trax
TRAX (Transformation APIs for XML) task support for ant,
a platform-independent build tool for Java.

%package -n ant-xml-resolver
Summary: XML Commons Resolver task support for Ant
Group: Development/Java
Requires: ant = %version
Requires: xml-commons-resolver12
Provides: ant-apache-resolver

%description -n ant-xml-resolver
XML Commons Resolver task support for ant,
a platform-independent build tool for Java.

%package -n ant-bsf
Summary: Optional apache bsf tasks for %name
Group: Development/Java
Requires: ant = %version
Requires: bsf
BuildRequires: bsf
Provides: ant-apache-bsf = 0:%version-%release

%description -n ant-bsf
Optional apache bsf tasks for %name.

%endif
# --------------------------------


%prep
%setup -q -n apache-%name-%version
find docs -name '*.orig' -print0 | xargs -r0 rm -f

# Fix some places where copies of classes are included in the wrong jarfiles
%patch0 -p1

# Update ant to work with recent versions of GNU Classpath
%patch2 -p1

# When bootstrapping, we don't have junit
%patch3 -p1

# script cleanup
%patch101 -p2

# clean jar files
find . -name "*.jar" | %{_bindir}/xargs -t rm

%build
#export JAVA_HOME=%{java_home}
#export CLASSPATH=$JAVA_HOME/lib/tools.jar
#sh ./build.sh --noconfig jars

%if_with bootstrap
CLASSPATH=$CLASSPATH:$(build-classpath jaxp_parser_impl xml-commons-apis junit)
%else
CLASSPATH=$(build-classpath \
xml-commons-apis \
jaxp_parser_impl \
activation \
antlr \
bcel \
jai/jai_core \
jai/jai_codec \
jakarta-commons-logging \
jakarta-commons-net \
jakarta-oro \
regexp \
javamail \
jdepend \
jsch \
junit \
log4j \
xml-stylebook \
xalan-j2 \
bsf \
xml-commons-resolver \
);
%endif
export CLASSPATH

sh build.sh -Ddist.dir=dist \
%if_enabled debug
    -Doptimize=false \
%else
    -Ddebug=false \
%endif
    dist jars

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -d -m755 $RPM_BUILD_ROOT%ant_home
install -d -m755 $RPM_BUILD_ROOT%ant_home/etc
install -d -m755 $RPM_BUILD_ROOT%ant_home/lib
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 build/lib/ant.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 build/lib/ant-bootstrap.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-bootstrap-%{version}.jar
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.apache.ant %{name} %{version} JPP %{name}
install -m 644 build/lib/ant-launcher.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-launcher-%{version}.jar
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-launcher.pom
%add_to_maven_depmap org.apache.ant %{name}-launcher %{version} JPP %{name}-launcher

install -m 644 build/lib/ant-jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmf-%{version}.jar
install -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jmf.pom
%add_to_maven_depmap org.apache.ant %{name}-jmf %{version} JPP/%{name} %{name}-jmf
install -m 644 build/lib/ant-nodeps.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar
install -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-nodeps.pom
%add_to_maven_depmap org.apache.ant %{name}-nodeps %{version} JPP/%{name} %{name}-nodeps
install -m 644 build/lib/ant-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-swing-%{version}.jar
install -m 644 %{SOURCE24} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-swing.pom
%add_to_maven_depmap org.apache.ant %{name}-swing %{version} JPP/%{name} %{name}-swing
install -m 644 build/lib/ant-trax.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-trax-%{version}.jar
install -m 644 %{SOURCE25} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-trax.pom
%add_to_maven_depmap org.apache.ant %{name}-trax %{version} JPP/%{name} %{name}-trax

# optional jars
%if_without bootstrap
%if %{with_manifest_only}
#install -m 644 build/lib/ant-icontract.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-icontract-%{version}.jar
#install -m 644 build/lib/ant-netrexx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-netrexx-%{version}.jar
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-netrexx.pom
%add_to_maven_depmap org.apache.ant %{name}-netrexx %{version} JPP/%{name} %{name}-netrexx
#install -m 644 build/lib/ant-starteam.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-starteam-%{version}.jar
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-starteam.pom
%add_to_maven_depmap org.apache.ant %{name}-starteam %{version} JPP/%{name} %{name}-starteam
#install -m 644 build/lib/ant-stylebook.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-stylebook-%{version}.jar
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-stylebook.pom
%add_to_maven_depmap org.apache.ant %{name}-stylebook %{version} JPP/%{name} %{name}-stylebook
#install -m 644 build/lib/ant-vaj.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-vaj-%{version}.jar
#install -m 644 build/lib/ant-weblogic.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-weblogic-%{version}.jar
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-weblogic.pom
%add_to_maven_depmap org.apache.ant %{name}-weblogic %{version} JPP/%{name} %{name}-weblogic
#install -m 644 build/lib/ant-xalan1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-xalan1-%{version}.jar
#install -m 644 build/lib/ant-xslp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-xslp-%{version}.jar
%endif
%if_with stylebook
install -m 644 build/lib/ant-stylebook.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-stylebook-%{version}.jar
%endif
install -m 644 build/lib/ant-antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-antlr-%{version}.jar
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-antlr.pom
%add_to_maven_depmap org.apache.ant %{name}-antlr %{version} JPP/%{name} %{name}-antlr
install -m 644 build/lib/ant-apache-bsf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-bsf.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-bsf %{version} JPP/%{name} %{name}-apache-bsf
install -m 644 build/lib/ant-apache-resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-resolver.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-resolver %{version} JPP/%{name} %{name}-apache-resolver
install -m 644 build/lib/ant-commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-commons-logging.pom
%add_to_maven_depmap org.apache.ant %{name}-commons-logging %{version} JPP/%{name} %{name}-commons-logging
install -m 644 build/lib/ant-commons-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-commons-net.pom
%add_to_maven_depmap org.apache.ant %{name}-commons-net %{version} JPP/%{name} %{name}-commons-net
install -m 644 build/lib/ant-jai.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jai-%{version}.jar
install -m 644 %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jai.pom
%add_to_maven_depmap org.apache.ant %{name}-jai %{version} JPP/%{name} %{name}-jai
install -m 644 build/lib/ant-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bcel-%{version}.jar
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-bcel.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-bcel %{version} JPP/%{name} %{name}-apache-bcel
install -m 644 build/lib/ant-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-log4j-%{version}.jar
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-log4j.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-log4j %{version} JPP/%{name} %{name}-apache-log4j
install -m 644 build/lib/ant-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-oro-%{version}.jar
install -m 644 %{SOURCE16} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-oro.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-oro %{version} JPP/%{name} %{name}-apache-oro
install -m 644 build/lib/ant-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-regexp-%{version}.jar
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-regexp.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-regexp %{version} JPP/%{name} %{name}-apache-regexp
ln -sf %{name}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-bcel.jar
ln -sf %{name}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-log4j.jar
ln -sf %{name}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-oro.jar
ln -sf %{name}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-regexp.jar
install -m 644 build/lib/ant-javamail.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-javamail-%{version}.jar
install -m 644 %{SOURCE18} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-javamail.pom
%add_to_maven_depmap org.apache.ant %{name}-javamail %{version} JPP/%{name} %{name}-javamail
install -m 644 build/lib/ant-jdepend.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jdepend.pom
%add_to_maven_depmap org.apache.ant %{name}-jdepend %{version} JPP/%{name} %{name}-jdepend
install -m 644 build/lib/ant-jsch.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jsch-%{version}.jar
install -m 644 %{SOURCE21} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jsch.pom
%add_to_maven_depmap org.apache.ant %{name}-jsch %{version} JPP/%{name} %{name}-jsch
install -m 644 build/lib/ant-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-junit-%{version}.jar
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-junit.pom
%add_to_maven_depmap org.apache.ant %{name}-junit %{version} JPP/%{name} %{name}-junit
install -m 644 %{SOURCE26} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-parent.pom
%add_to_maven_depmap org.apache.ant %{name}-parent %{version} JPP %{name}-parent

install -m 644 build/lib/ant-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-junit-%{version}.jar
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-junit.pom
%add_to_maven_depmap org.apache.ant %{name}-junit %{version} JPP/%{name} %{name}-junit
%endif

# jar aliases
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# scripts
install -p -m 755 dist/bin/ant $RPM_BUILD_ROOT%_bindir/
install -p -m 755 dist/bin/antRun $RPM_BUILD_ROOT%_bindir/
install -p -m 755 dist/bin/*.p[ly] $RPM_BUILD_ROOT%_bindir/

# configuration
install -p -m 644 %SOURCE103 $RPM_BUILD_ROOT%_sysconfdir/ant.conf
install -d -m 755 $RPM_BUILD_ROOT%_sysconfdir/ant.d

# stylesheets
cp -a dist/etc/* $RPM_BUILD_ROOT%ant_home/etc/
rm -f $RPM_BUILD_ROOT%ant_home/etc/*.jar

# documentation
install -p -m 644 NOTICE LICENSE README WHATSNEW \
	$RPM_BUILD_ROOT%pkgdocdir/
cp -a dist/docs/* $RPM_BUILD_ROOT%pkgdocdir/
mkdir -p $RPM_BUILD_ROOT%_javadocdir
mv $RPM_BUILD_ROOT%pkgdocdir/manual/api $RPM_BUILD_ROOT%_javadocdir/%name

# compatibility symlinks (do we need them?)
ln -snf $(relative %_javadocdir/%name %pkgdocdir/manual/) \
    $RPM_BUILD_ROOT%pkgdocdir/manual/api

# keep until ant.sh will be fixed
%if_with antlibhack
rmdir $RPM_BUILD_ROOT%ant_home/lib
ln -snf $(relative %_javadir/%name %ant_home/) \
    $RPM_BUILD_ROOT%ant_home/lib
cp $RPM_BUILD_ROOT%_javadir/%name-%version.jar $RPM_BUILD_ROOT%_javadir/%name/%name.jar 
cp $RPM_BUILD_ROOT%_javadir/%name-launcher-%version.jar $RPM_BUILD_ROOT%_javadir/%name/%name-launcher.jar
rm -f $RPM_BUILD_ROOT/usr/bin/ant
install -m755 %SOURCE102 $RPM_BUILD_ROOT/usr/bin/ant
%endif

# manifest-only
%if %{with_manifest_only}
mkdir ./META-INF
cat > ./META-INF/MANIFEST.MF <<EOF
Manifest-Version: 1.0
Ant-Version: Apache Ant %version
Created-By: 1.4.2_13-b06 (Sun Microsystems Inc.)

Name: org/apache/tools/ant/taskdefs/optional/
Extension-name: org.apache.tools.ant
Specification-Title: Apache Ant
Specification-Version: %version
Specification-Vendor: Apache Software Foundation
Implementation-Title: org.apache.tools.ant
Implementation-Version: %version
Implementation-Vendor: Apache Software Foundation
EOF

for i in icontract netrexx starteam stylebook vaj weblogic xalan1 xslp; do
    if [ -e build/lib/ant-$i.jar ]; then
       	echo "manifest-only file exists; skipped"
    else
	jar cf $RPM_BUILD_ROOT%_javadir/ant/ant-$i-%version.jar ./META-INF
	ln -s ant-$i-%version.jar $RPM_BUILD_ROOT%_javadir/ant/ant-$i.jar
    fi
done
%endif

# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d
echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-nodeps" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/nodeps
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/swing
echo "jaxp_transform_impl ant/ant-trax xalan-j2-serializer" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/trax
%if %without bootstrap
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/antlr
echo "bsf ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bsf
echo "xml-commons-resolver12 ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-resolver
echo "jakarta-commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-logging
echo "jakarta-commons-net ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-net
echo "jai ant/ant-jai" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jai
echo "bcel ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bcel
echo "log4j ant/ant-apache-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-log4j
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-regexp
echo "javamail jaf ant/ant-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/javamail
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jdepend
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jsch
echo "junit ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit
# we have full-fledged ant-stylebook in ALT
echo "xml-stylebook ant/ant-stylebook" > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/stylebook
%endif

%files
#%doc NOTICE LICENSE README WHATSNEW
%doc %dir %pkgdocdir
%doc %pkgdocdir/NOTICE
%doc %pkgdocdir/LICENSE
%doc %pkgdocdir/README
%doc %pkgdocdir/WHATSNEW

%_bindir/ant
%_bindir/antRun
%config(noreplace) %_sysconfdir/ant.conf
%dir %_sysconfdir/ant.d
%dir %ant_home
%dir %ant_home/etc
%ant_home/lib
%dir %_javadir/%name
%_javadir/ant-%version.jar
%_javadir/ant.jar
%_javadir/ant-launcher.jar
%_javadir/ant-launcher-%version.jar
%_javadir/ant-bootstrap.jar
%_javadir/ant-bootstrap-%version.jar
# poms
%_sysconfdir/maven/fragments/ant
%_datadir/maven2/poms/*pom
%if_with antlibhack
%_javadir/ant/ant.jar
%_javadir/ant/ant-launcher.jar
%endif

%files nodeps
%_javadir/%name/ant-nodeps*.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/nodeps

%files scripts
%_bindir/*.pl
%_bindir/*.py

%files manual 
#-f manual.list
%doc %dir %pkgdocdir
%doc %pkgdocdir/*
#%pkgdocdir/*.html
#%pkgdocdir/*.js
#%pkgdocdir/*.css
#%pkgdocdir/*.ico
#%pkgdocdir/ant2
#%pkgdocdir/projects
#%pkgdocdir/images
%exclude %pkgdocdir/NOTICE
%exclude %pkgdocdir/LICENSE
%exclude %pkgdocdir/README
%exclude %pkgdocdir/WHATSNEW
%exclude %pkgdocdir/*.pdf
%exclude %pkgdocdir/manual/api

%files javadoc
%dir %pkgdocdir
%dir %pkgdocdir/manual
%pkgdocdir/manual/api
%doc %_javadocdir/%name

%files task-reference
%dir %pkgdocdir
%pkgdocdir/*.pdf

%files style-xsl
%ant_home/etc/*.xsl
%ant_home/etc/checkstyle

# --------------------------------
# merged from ant-optional
# --------------------------------
%if_without bootstrap
%files -n ant-optional

%if %{with_manifest_only}
%files -n ant-manifest-only
#defattr(0644,root,root,0755)
%_javadir/ant/ant-icontract-%version.jar
%_javadir/ant/ant-icontract.jar
%_javadir/ant/ant-netrexx-%version.jar
%_javadir/ant/ant-netrexx.jar
%_javadir/ant/ant-starteam-%version.jar
%_javadir/ant/ant-starteam.jar
%if_with stylebook
# we have full-fledged ant-stylebook package
%else
%_javadir/ant/ant-stylebook-%version.jar
%_javadir/ant/ant-stylebook.jar
%endif
%_javadir/ant/ant-vaj-%version.jar
%_javadir/ant/ant-vaj.jar
%_javadir/ant/ant-weblogic-%version.jar
%_javadir/ant/ant-weblogic.jar
%_javadir/ant/ant-xalan1-%version.jar
%_javadir/ant/ant-xalan1.jar
%_javadir/ant/ant-xslp-%version.jar
%_javadir/ant/ant-xslp.jar
%endif

%files -n ant-antlr
%_javadir/ant/ant-antlr.jar
%_javadir/ant/ant-antlr-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/antlr

%files -n ant-bcel
%_javadir/ant/ant-apache-bcel.jar
%_javadir/ant/ant-apache-bcel-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/apache-bcel
# old ant compat symlink
%_javadir/ant/ant-jakarta-bcel.jar

%files -n ant-commons-logging
%_javadir/ant/ant-commons-logging.jar
%_javadir/ant/ant-commons-logging-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/commons-logging

%files -n ant-commons-net
%_javadir/ant/ant-commons-net.jar
%_javadir/ant/ant-commons-net-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/commons-net

%files -n ant-jai
%_javadir/ant/ant-jai.jar
%_javadir/ant/ant-jai-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/jai

%files -n ant-jakarta-oro
%_javadir/ant/ant-apache-oro.jar
%_javadir/ant/ant-apache-oro-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/apache-oro
# old ant compat symlink
%_javadir/ant/ant-jakarta-oro.jar

%files -n ant-jakarta-regexp
%_javadir/ant/ant-apache-regexp.jar
%_javadir/ant/ant-apache-regexp-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/apache-regexp
# old ant compat symlink
%_javadir/ant/ant-jakarta-regexp.jar

%files -n ant-javamail
%_javadir/ant/ant-javamail.jar
%_javadir/ant/ant-javamail-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/javamail

%files -n ant-jdepend
%_javadir/ant/ant-jdepend.jar
%_javadir/ant/ant-jdepend-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/jdepend

%files -n ant-jmf
%_javadir/ant/ant-jmf.jar
%_javadir/ant/ant-jmf-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/jmf

%files -n ant-jsch
%_javadir/ant/ant-jsch.jar
%_javadir/ant/ant-jsch-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/jsch

%files -n ant-junit
%_javadir/ant/ant-junit.jar
%_javadir/ant/ant-junit-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/junit

%files -n ant-log4j
%_javadir/ant/ant-apache-log4j.jar
%_javadir/ant/ant-apache-log4j-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/apache-log4j
# old ant compat symlink
%_javadir/ant/ant-jakarta-log4j.jar

%if_with stylebook
%files -n ant-stylebook
%_javadir/ant/ant-stylebook.jar
%_javadir/ant/ant-stylebook-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/stylebook
%endif stylebook

%files -n ant-swing
%_javadir/ant/ant-swing.jar
%_javadir/ant/ant-swing-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/swing

%files -n ant-trax
%_javadir/ant/ant-trax.jar
%_javadir/ant/ant-trax-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/trax

%files -n ant-xml-resolver
%_javadir/ant/ant-apache-resolver.jar
%_javadir/ant/ant-apache-resolver-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/apache-resolver

%files -n ant-bsf
%_javadir/ant/ant-apache-bsf.jar
%_javadir/ant/ant-apache-bsf-%version.jar
%config(noreplace) %{_sysconfdir}/ant.d/apache-bsf
%endif
# --------------------------------

%changelog
* Mon Feb 23 2009 Igor Vlasenko <viy@altlinux.ru> 1.7.1-alt3
- reverted back to alt2 due to regression
- TODO: fix ant script

* Tue Feb 17 2009 Igor Vlasenko <viy@altlinux.ru> 1.7.1-alt2
- fixed ANTLIB

* Tue Feb 10 2009 Igor Vlasenko <viy@altlinux.ru> 1.7.1-alt1
- new version
- moved the rest of docs to manual

* Mon Nov 03 2008 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt12
- added support for /etc/ant.d parts in /usr/bin/ant

* Tue Sep 30 2008 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt11
- updated classpath (replaced obsolete jars that no more exist)
  fixed ant-junit: serializer class not found bug.
- replaced obsolete java-common functions w/jpackage ones
- added /etc/ant.d 
- added maven2 poms

* Thu Aug 14 2008 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt10
- removed obsolete j2se requires

* Tue Feb 12 2008 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt9
- Packaged %_javadir/%name
- Built with python 2.5

* Tue Dec 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt8
- Bumped release to match ant-optional

* Mon Jun 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt7
- Bumped release to match ant-optional

* Sat Jun 16 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt6
- Bumped release to match ant-optional

* Sat Jun 09 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt5
- Bumped release to match ant-optional

* Thu May 17 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt4
- Added symlinks for %_javadir/ant.jar and %_javadir/ant-launcher.jar
- Fixed ant launcher to use %%_datadir/java-common instead of %%_libdir/java-common

* Sat May 05 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt3
- Added Provides: ant-nodeps for jpackage compatibility

* Thu Feb 22 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt2
- Fix Java executable search (#10857)

* Sun Feb 04 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt1.1
- Raised release to match release of ant-optional package

* Sat Feb 03 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.7.0-alt1
- New version

* Sat Mar 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.5-alt2
- Dropped buildtime dependency on xml-commons-apis and jaxp_parser_impl,
  require JDK >= 1.4 instead
- Added serializer.jar from Xalan to the runtime classpath

* Mon Jun 06 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.5-alt1
- New upstream release

* Sat May 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.4-alt1
- New upstream release

* Fri Apr 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.3-alt1
- New upstream release
- rpm-build-java cosmetics
- Removed ANT_HOME setting from /etc/ant.conf as it interfered
  with the bootstrap script

* Wed Mar 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.6.2-alt3.1
- Rebuilt with python-2.4.

* Wed Jan 12 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt3
- Rebuild for ant-optional

* Sat Aug 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt2
- BuildRequire /proc

* Wed Jul 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt1
- New upstream release

* Mon Jun 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt2
- Add all the optional library dependencies to classpath in the launcher script
- Conditionally disable debug info (off by default)

* Sun Feb 22 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt1
- Updated to the upstream release 1.6.1
- Updated the ant script
- Substitute directory names in the apt script
- Set config(noreplace) attribute for /etc/apt.conf

* Fri Oct 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt2
- Shipped ant-optional off to a separate spec with extensive build dependencies
- Take scripts from dist/bin where <fixcrlf/> task is performed

* Sun Aug 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt1
- 1.5.4

* Mon Mar 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.2-alt1
- 1.5.2
- Synced with 1.5.2-2jpp: added scripts subpackage, changed URL

* Mon Nov 18 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.1-alt1
- 1.5.1
- refurbished for the new java packaging system derived from JPackage
- docs separated to main package stuff (introductory),
  manual, javadoc and task-reference (a bulky PDF document)
- style-xsl subpackage

* Wed May 29 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt3
- both ant script and build search /usr/lib for JDK
- build compatible with jdk-1.3.1 package

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt2
- ant-optional subpackage
- build probes known JDK locations when JAVA_HOME is not set

* Thu Apr 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- 1.4.1
- Borrowed a start script from Henri once more, and cleaned it up

* Tue May 01 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- Adapted for ALTLinux
- Renamed ant-manual back to ant-doc
- Returned jars back into ant tree for the sake of tidyness
- Revision 0.5 of ant.sh
- Set group to Development/Java

* Thu Mar 23 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3 RPM Release 2
- rebuild with updated ant-optional.jar, the previously
  used was missing some classes.

* Mon Mar 05 2001 Henri Gomez <hgomez@slib.fr>
- ant 1.3
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Mon Feb 27 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 3
- fix manual permissions

* Mon Feb 26 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 2
- fix /usr/local/bin/perl references

* Fri Feb 09 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b1
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Wed Oct 25 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2 RPM Release 2
- renamed ant-doc to ant-manual (follow apache RPM naming)
- RH 7.0 changes location of docdir and DocumentRoot. The spec file is modified
  to place manual in right place when rebuilded under RH 6.x or RH 7.0
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5

* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2
- added optional.jar
- read WHATSNEW for changes in ant 1.2

* Fri Oct 20 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2rc
- added optional.jar (from jarkata site)
- source file is renamed from jakarta-ant-src.tar.gz to
  jakarta-ant-src-v1.2rc.tar.gz to allow multiple source file
  in my RPM source dir
- build CLASSPATH=

* Mon Oct 16 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.1 RPM Release 5
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin
- prepare transition to RH 7.0 new document root (/var/www)
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/xalan.jar

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-4
- tomcat build failed if ANT_HOME is set to /usr.
  ant shell script set ANT_HOME to /usr/share/ant
  to fix 'antRun not found' and allow tomcat build ;-?!
- reorganized group packages for javas RPM :
  Development/Tools (ant)
  Developement/Libraries(xalan, xerces)
  Documentation (all ;-)
- build CLASSPATH=/usr/lib/java/bsf.jar:/usr/lib/java/bsfengines.jar:/usr/lib/java/xalan.jar

* Fri Sep 29 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-3- jars are now installed on /usr/lib/java since /opt is
  mounted read-only on many systems <summer@os2.ami.com.au>
- correct bad URL in apidocs
- try to use jikes if present
- rebuilded with IBM JDK 1.3.0 (cx130-20000815)

* Fri Jul 21 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-2
- Rebuild rpm with IBM JDK 1.3 (cx130-20000623) to allow ant
  work under both JDK 1.1.8 and JDK 1.3.
- minor spec file correction (patch ant after install)

* Thu Jul 20 2000 Henri Gomez <hgomez@slib.fr>
- v1.1 final release
- ant need now a JAXP compatible parser. Sun's jaxp 1.0.1 are
  allready included in .tar.gz and so we will use and export
  these jar (jaxp.jar & parser.jar).
  You could also use Apache xerces 1.1.2 or later.
- removed export CLASSPATH= at build time, but you'll have to
  ensure now you have a minimal CLASSPATH (ie: xml parser jars)
- Try to use now the Linux Software Map and Redhat Map.
  exec goes /usr/bin and classes in /usr/lib/ant.
  documentation stay in /home/httpd/html/manual/ant
- Compiled on Redhat 6.1 with latest IBM JDK 1.1.8 (l118-20000515)

* Tue May 02 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1
- From jakarta/tomcat 3.1 final release. Need now to
  have a consistent version number ;-)
- Fixed classpath problem at compile time by cleaning CLASSPATH before
  build/install stages.
- Compiled on Redhat 6.1 with IBM JDK 1.1.8 (20000328)

* Thu Apr 13 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1_rc1
- Version renamed to 0.3.1_rc1 to follow Sam Ruby (rubys@us.ibm.com)
  recommandation since the next major release will be 1.0

* Wed Mar 08 2000 Henri Gomez <gomez@slib.fr>
- v3.1b1
- removed moo from ant RPM. Will be now in watchdog RPM.

* Tue Feb 29 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc2

* Fri Feb 25 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc1
- moo is no more in the tar packages, will be released
  in another RPM
- added doc package

* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m1

* Tue Jan 18 2000 Henri Gomez <gomez@slib.fr>
- first RPM of v3.1_m1_rc1

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- moved from /opt/jakarta/jakarta-tools to /opt/ant

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- CVS 4 Jan 2000
- added servlet.jar from tomcat in SRPM
   to allow first build of moo.

* Thu Dec 30 1999 Henri Gomez <gomez@slib.fr>
- Initial release for jakarta-tools cvs
